This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 568

Summary: TutorialLinearAlgebra.html is garbled
Product: Eigen Reporter: Benoit Jacob <jacob.benoit.1>
Component: DocumentationAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Unknown CC: chtz, gael.guennebaud, jacob.benoit.1, jitseniesen, orzel
Priority: Normal    
Version: 3.2   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 387    

Description Benoit Jacob 2013-03-18 20:40:32 UTC
There's something wrong in dox-devel at the moment: this page looks garbled at least in Firefox and in Chromium:

http://eigen.tuxfamily.org/dox-devel/TutorialLinearAlgebra.html

The stable version does look fine:

http://eigen.tuxfamily.org/dox/TutorialLinearAlgebra.html
Comment 1 Gael Guennebaud 2013-03-19 00:25:19 UTC
hm this file does not exist anymore, it seems this folder is not properly synced, or perhaps the building folder of the server generating the doc should be cleaned. This page is now: http://eigen.tuxfamily.org/dox-devel/group__TutorialLinearAlgebra.html
Comment 2 Benoit Jacob 2013-03-19 14:56:14 UTC
Ah! Thanks. Sounds like Thomas needs to add a rm -rf to his dox-updating script.
Comment 3 Benoit Jacob 2013-03-19 14:57:31 UTC
Hm, trying now, your link in comment 1 gives error 404, while http://eigen.tuxfamily.org/dox-devel/TutorialLinearAlgebra.html now works. What gives?
Comment 4 Christoph Hertzberg 2013-03-19 15:31:03 UTC
However, dox-devel is in the old layout again?! Especially, there is no overview and no internal search. (Close again, if that's intended)
Comment 5 Gael Guennebaud 2013-03-19 16:44:55 UTC
yes, I made a mistake while trying to clean it up (I uploaded the 3.1 version) and then got too busy to fix it.... but now it's ok.
Comment 6 Thomas Capricelli 2013-03-19 19:18:36 UTC
Should not happen anymore, the update script now wipes build/doc/html before rebuilding stuff. Most of the time/cpu consuming is spent in compiling snippets, so we don't loose that much
Comment 7 Nobody 2019-12-04 12:10:38 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/568.